Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.deployment.application
Interface ApplicationXml

All Known Implementing Classes:
  DefaultApplicationXml

public interface ApplicationXml

Encapsulates the DOM representation of an EAR descriptor (`application.xml`) to provide convenience methods for easy access and manipulation.

Since:
  Cactus 1.5
Version:
  $Id: ApplicationXml.java 239141 2005-02-15 10:31:44Z vmassol $

Method Summary
`void` | `addWebModule(java.lang.String theUri, java.lang.String theContext)` Adds a web module to the deployment descriptor
`org.w3c.dom.Document` | `getDocument()` Returns the DOM document representing the deployment descriptor.
`java.util.Iterator` | `getElements(ApplicationXmlTag theTag)` Returns an iterator over the elements that match the specified tag.
`ApplicationXmlVersion` | `getVersion()` Returns the J2EE API version.
`org.w3c.dom.Element` | `getWebModule(java.lang.String theWebUri)` Returns the element that contains the definition of a specific web module, or `null` if a web module with the specified web-uri is not defined.
`java.lang.String` | `getWebModuleContextRoot(java.lang.String theWebUri)` Returns the context root of the the specified web module.
`java.util.Iterator` | `getWebModuleUris()` Returns an iterator over the URIs of the web modules defined in the descriptor.

Method Detail

### getDocument

    public org.w3c.dom.Document getDocument()

  Returns the DOM document representing the deployment descriptor. The document will contain any modifications made through this instance.

  Returns:
    The document representing the deploy descriptor

### getVersion

    public ApplicationXmlVersion getVersion()

  Returns the J2EE API version.

  Returns:
    The version

### getWebModule

    public org.w3c.dom.Element getWebModule(java.lang.String theWebUri)

  Returns the element that contains the definition of a specific web module, or `null` if a web module with the specified web-uri is not defined.

  Parameters:
    `theWebUri` - The uri of the web module
  Returns:
    The DOM element representing the web module definition

### getWebModuleContextRoot

    public java.lang.String getWebModuleContextRoot(java.lang.String theWebUri)

  Returns the context root of the the specified web module.

  Parameters:
    `theWebUri` - The uri of the web module
  Returns:
    The context root of the web module

### getWebModuleUris

    public java.util.Iterator getWebModuleUris()

  Returns an iterator over the URIs of the web modules defined in the descriptor.

  Returns:
    An iterator over the URIs of the web modules

### getElements

    public java.util.Iterator getElements(ApplicationXmlTag theTag)

  Returns an iterator over the elements that match the specified tag.

  Parameters:
    `theTag` - The descriptor tag of which the elements should be returned
  Returns:
    An iterator over the elements matching the tag, in the order they occur in the descriptor

### addWebModule

    public void addWebModule(java.lang.String theUri,
                             java.lang.String theContext)

  Adds a web module to the deployment descriptor

  Parameters:
    `theUri` - the uri of the new module
    `theContext` - the context of the new module

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.